Page 1 of 2 12 LastLast
Results 1 to 10 of 18

Thread: How i can install kernel 5.18 in Leap15.4 ?

  1. #1

    Default How i can install kernel 5.18 in Leap15.4 ?

    How i can install kernel 5.18 in Leap15.4 ?

    i tried to do like this:
    Code:
    sudo zypper ref && sudo zypper update
    sudo zypper in -t pattern devel_basis
    sudo zypper in bc openssl openssl-devel dwarves rpm-build libelf-devel
    wget https://cdn.kernel.org/pub/linux/kernel/v5.x/linux-5.18.5.tar.gz
    cd linux-5.18.5/
    sudo find /boot/ \( -iname "*config*" -a -iname "*`uname -r`*" \) -exec cp -i -t ./ {} \;
    mv *`uname -r`* .config
    vi .config
    search for “CONFIG_MODULE_SIG_KEY”.
    And comment out like:
    #CONFIG_MODULE_SIG_KEY
    sudo make menuconfig
    sudo make clean
    sudo make rpm-pkg
    sudo zypper in  ./kernel-5.18.5_150400.22_default-1.x86_64.rpm ./kernel-headers-5.18.5_150400.22_default-1.x86_64.rpm ./kernel-devel-5.18.5_150400.22_default-1.x86_64.rpm
    and have this errors:
    Code:
    3 new packages to install.
    Overall download size: 0 B. Already cached: 1.21 GiB. After the operation, additional 7.4 GiB will be used.
    
        Note: System reboot required.
    Continue? [y/n/v/...? shows all options] (y): y
    In cache kernel-devel-5.18.5_150400.22_default-1.x86_64.rpm                                (1/3), 147.7 MiB ( 1.14 GiB unpacked)
    In cache kernel-5.18.5_150400.22_default-1.x86_64.rpm                                      (2/3),  1.07 GiB ( 6.29 GiB unpacked)
    In cache kernel-headers-5.18.5_150400.22_default-1.x86_64.rpm                              (3/3),   1.3 MiB (  5.7 MiB unpacked)
    
    Checking for file conflicts: ............................................................................................[error]
    Detected 156 file conflicts:
    
    File /usr/include/asm-generic/fcntl.h
      from install of
         kernel-headers-5.18.5_150400.22_default-1.x86_64 (Plain RPM files cache)
      conflicts with file from package
         linux-glibc-devel-5.14-150400.4.44.x86_64 (@System)
    
    File /usr/include/asm-generic/mman-common.h
      from install of
         kernel-headers-5.18.5_150400.22_default-1.x86_64 (Plain RPM files cache)
      conflicts with file from package
         linux-glibc-devel-5.14-150400.4.44.x86_64 (@System)
    ......................
    File /usr/include/xen/gntdev.h
      from install of
         kernel-headers-5.18.5_150400.22_default-1.x86_64 (Plain RPM files cache)
      conflicts with file from package
         linux-glibc-devel-5.14-150400.4.44.x86_64 (@System)
    
    File conflicts happen when two packages attempt to install files with the same name but different contents. If you continue, conflicting files will be replaced losing the previous content.
    Continue? [yes/no] (no):
    Perhaps there is a correct option how to add kernel5.18 to Leap15.4 ?

    Serg

  2. #2
    Join Date
    Sep 2012
    Posts
    7,863

    Default Re: How i can install kernel 5.18 in Leap15.4 ?


  3. #3

    Default Re: How i can install kernel 5.18 in Leap15.4 ?

    Because of glibc 2.31 in Leap 15.4 you need patched kernel from openSUSE.
    Code:
    zypper addrepo https://download.opensuse.org/repositories/Kernel:stable:Backport/standard/Kernel:stable:Backport.repo
    zypper refresh
    zypper install kernel-default
    For compiling kernel by yourself you need either patching kernel.org kernel or upgrading glibc.

  4. #4
    Join Date
    Sep 2012
    Posts
    7,863

    Default Re: How i can install kernel 5.18 in Leap15.4 ?

    Quote Originally Posted by Svyatko View Post
    For compiling kernel by yourself you need either patching kernel.org kernel or upgrading glibc.
    Really? The original post shows successfully compiled kernel from kernel.org. May be you should stop spreading misinformation.

  5. #5

    Default Re: How i can install kernel 5.18 in Leap15.4 ?

    Quote Originally Posted by arvidjaar View Post
    Really? The original post shows successfully compiled kernel from kernel.org. May be you should stop spreading misinformation.
    Compiling without actual using?

    https://bugzilla.opensuse.org/show_b...?id=1182224#c2
    https://lists.opensuse.org/archives/...7GVB6Y4ZRPM2K/

    It's up to user whether he/she needs kernel-syms and kernel-default-devel.

  6. #6
    Join Date
    Sep 2012
    Posts
    7,863

    Default Re: How i can install kernel 5.18 in Leap15.4 ?

    It's all about openSUSE packaging, not about compiling upstream tarballs.

  7. #7

    Default Re: How i can install kernel 5.18 in Leap15.4 ?

    Quote Originally Posted by arvidjaar View Post
    It's all about openSUSE packaging, not about compiling upstream tarballs.
    OK, user can compile kernel.org kernel with default glibc 2.31 in Leap 15.4.
    How can user install this kernel and use it with Leap 15.4?

  8. #8
    Join Date
    Apr 2013
    Location
    Slovakia
    Posts
    183

    Default Re: How i can install kernel 5.18 in Leap15.4 ?

    Quote Originally Posted by skoltogyan View Post
    How i can install kernel 5.18 in Leap15.4 ?
    Maybe you could try kernel from this repository
    https://download.opensuse.org/reposi...able/standard/

  9. #9
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    7,231

    Default AW: Re: How i can install kernel 5.18 in Leap15.4 ?

    Quote Originally Posted by galko_ferdinand View Post
    Maybe you could try kernel from this repository
    https://download.opensuse.org/reposi...able/standard/
    Because of Updates it is better to add, enable and switch to the Repo, see post #3

  10. #10
    Join Date
    Sep 2012
    Posts
    7,863

    Default Re: How i can install kernel 5.18 in Leap15.4 ?

    Quote Originally Posted by Svyatko View Post
    How can user install this kernel and use it with Leap 15.4?
    Surprise ...
    Code:
    make modules_install
    make install
    Gasp ...

    OK, one needs kernel-install-tools for /sbin/installkernel.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •